//////    ////   //// ///    //   ////  //  //  ////
//   //  //  //   //  ////   //  //  // // //  //  //
//   // //    //  //  // //  //      // ////      //
//////  ////////  //  //  // //    ///  ////      //
//      //    //  //  //   ////   //    // //  //  //
//      //    // //// //    ///  ////// //  //  ////
version a9          Smoke39 - bomberman49@hotmail.com
h t t p : / / w o d . b e y o n d u n r e a l . c o m






/////////////
Installation!
/////////////

1. Put the .u in your UT2003\System folder!
2. Put the .int in your UT2003\System folder!
3. Devour your trousers.



///////
To use:
///////

1. Install Pain2K3.
2. Download WoRM2K3 by Kangus at http://wod.beyondunreal.com and install it.  Current version as of this release is Sexy Species 6.
3. Read any documentation that came with WoRM.  DO IT!
4. a. Run UT2K3 and select desired Pain2K3 weapons and/or powerups with WoRM.
or b. Run UT2K3 and select Full Arsenal and desired powerups with WoRM.
5. Select desired Pain2K3 mutators.
6. Play da game!



////////
Weapons!
////////

Pain2K3 has three different ammo types: bullet, energy, and explosive rounds.  Each weapon expends ammo at a different rate.  Following the name of each weapon in this list are the ammo types for primary fire followed by secondary.


Assault Gun:
-Ammo types: Bullet, Explosive
Primary is what you'd expect from an assault rifle.  Secondary reloads the 50-round magazine.  Green circles indicate where to aim to correctly lead your targets.  Crouching engages a scope and allows you to fire homing rockets with secondary, the target of which can be set by simply aiming at someone.  There is a minimum range, however, so you can't lock onto anyone who's too close.

D12a:
-Ammo types: Bullet, Bullet
It's a handgun.  Primary is semi-automatic.  The faster you fire, the faster your accuracy decreases.  Accuracy is reset after a brief pause in firing.  Hold secondary to activate a laser sight.  Aim it at someone to begin to automatically track them.  Release to fire.  This thing turns off weapon bob when you select it, but doesn't always turn it back on.  I'll try to fix this in a later version.

Drugger:
-Ammo types: Bullet, n/a
Primary shoots a dart o' fast-working poison.  Armor renders the dart totally useless.  Secondary is a spiffy target-locating scope.

Electricity Gun (EGun):
-Ammo types: Energy, Energy
Primary fires bolts of electricity that bounce around.  It'll zap someone for a while till 15 damage is done.  It also does 5 damage on contact.  Secondary charges up a big electricity ball thing.  Once launched, it'll move real slow-like so it can shoot plenty of electricity at any fools nearby.

ERPPC (Extended Range Particle Projection Cannon):
Primary releases massive amounts of energy to blast targets' flesh off from inside.  Secondary zooms in and out with the exceptionally precise scope.

-NEW TO a9-
Fleischmacher:
-Ammo types: Gibs, n/a
Primary hurls gibs at a hight rate of fire.  People killed with the gibs produce more gibs.  Gibs can be picked up for ammo.  Fresh gibs provide more ammo than recycled gibs.  Secondary is a vacuum to aid you in your collection of gibs.

m6A31 Tactical:
-Ammo types: Bullet, Bullet
A pretty nifty assault rifle.  Primary ingores armor.  Secondary is a pretty powerful shotgun.

Miner:
-Ammo types: Explosive, n/a
Primary launches a mine.  When someone of the opposing team (if a team game) walks near it, it explodes very large and powerfully.  You can only have 3 out at once, and they're neutralized when you die.  Secondary is a mine neutralizer.  Not only is it helpful in safely neutralizing unfriendly mines, it's usually able to destroy any mines that get stuck inside walls and such, too.  When you hselect this gun circles appear around nearby mines, even through walls.  Blue is a friendly mine, red is evil.

Nuker:
-Ammo types: Bullet, n/a
USE THE NUKER MUTATOR TO REPLACE ION CANNONS WITH NUCLEAR SATELLITES WHEN NOT USING FULL ARSENAL.  This was inspired by the Ghost in SC.  Primary goes blam.  It's capable of headshots.  Crouch to zoom in a bit.  secondary is like the ion painter, 'cept with no beam, just a small dot where you aim, and fires a nuke, hence the weapon's name.  Each satellite takes 30 seconds to reload.  Press primary and secondary at the same time to cloak, again to decloak.  Cloaking spends 1 adrenaline per second and is disrupted by water.
Note: I suggest turning projectors on, cuz invisible people being affected by fancy lighting effects looks cool. :D

-NEW TO a9-
Person Launcher:
-Ammo types: Explosive, Explosive
Use primary to select a target.  This'll hook them up to your gun via a tractor beam.  The beam has a limited range, which means you have to be somewhat near your target, but it also means that once you have one, you can drag them around wherever you go!  When you have a target, primary will launch a ball at a high speed, with your target still attached via the beam!  You can use this to launch people into walls and watch them go splat, or to launch people off ledges, or perhaps launching team mates into favorable positions.  Secondary launches a ball with yourself attached.  You can launch yourself while you have a target and drag them through the air with you.  It's all kinds of fun!

Plasma Gun:
-Ammo types: Energy, Energy
Sprays plasma at a high rate of fire, though takes a few seconds to get up to speed.  Secondary shoots a plasma net to ensnare opponents.  

Railgun:
-Ammo types: Energy, n/a
Primary is what you'd expect.  Shoots through everything.  Secondary is a thermal scope.  Target visibility is based on their distance from you, and how far in you're zoomed.  Team mates are outlined in teal.  Enemies with the ball or your flag appear in orange.  Team mates with the ball or the enemy's flag are outlined in green.

Railgun Prototype:
-Ammo types: Energy, n/a
A prototype of the railgun.  Generally less efficient, but just as deadly.  Inspired by the Shadow Warrior railgun.

Shotchaingun:
-Ammo types: Bullet, n/a
It's a chaingun, and it's a shotgun.  ph34r.  Secondary toggles whether the barrels spin down after firing.

Shoulder Cannon:
-Ammo types: Energy, n/a
A plasma gun mounted on your shoulder guided by a laser sight headset.  Its splash damage is deadly.  Direct hits moreso.  Secondary toggles a thermal vision mode.  Has the same weapon bob problem as the D12a.



/////////
Powerups!
/////////

Psycho-Kinetic Powers:
Give you the ability to double jump higher, fall farther, deflect projectiles, and whack people away from you when they get too close.  All powers are used automatically.

Cybernetic Legs:
Let you run faster and jump higher!

Foot-Mounted Propulsion System:
Lets you multi-jump higher and slows your descent if you start falling fast enough to take damage.  In addition, motors are installed to increase your speed underwater.



/////////
Mutators!
/////////

-NEW TO a9-
Full Arsenal:
Scatters the entire Pain2K3 arsenal across the map and gives you Pain2K3 weaponry to start with.  Also does the same thing as the Nuker mutator, so no need to add it when using Full Arsenal.  Pain2K3 powerups don't appear yet, and I intend to add some options as well.

Nuker:
Replaces ion cannons with nuclear satellites for the nuker.  Use this when not using Full Arsenal and want to use the nuker's secondary fire on maps with ion cannons.

Noggin Goblins:
Shot off heads become flaming noggins of doom that try to run into and explode on you!

-NEW TO a9-
Pain Ammo:
Inflict pain to regain ammo!  Each mode of each weapon restores a different ammount of the three ammo types with each succesful hit.  Generally, each shot that deals damage returns the ammo lost on that shot, plus a little of the ammo types not used.  One exception is the Railgun, which rewards you with one less energy round than it expends.  This keeps you from camping with the railgun forever, even if you have perfect aim.

Spontaneous Combustion:
People combust spontaneously!  Sometimes they gib.  Sometimes their head is blown off.  Sometimes they burst into flames.  It's fun. ^_^



////////////////
Version History!
////////////////

a9: Psycho-kinetic powers override foot-mounted rockets rather than multiplying their effect.
    Psycho-kinetic power-granting pills now have purply rather than blue innards to reflect the purply aura it grants you.
    Foot-mounted rockets now increase your speed underwater.
	-Foot-mounted rockets have been renamed "foot-mounted propulsion system" to reflect this addition.
    Foot-mounted propulsion system gives you metally footstep sounds.
    Foot-mounted propulsion system rockets shoot in the right direction now.
    Cybernetic legs have a new trail effect.
    Nuker skin has been recolored.
    Nuker now uses the same zoom method as the assault gun to reduce unzooming when getting shot.
    Nuker scope looks different.
    Nuker cloaking field failure effect has been modified.
    Nuker laser dot isn't all ugly anymore.
    ERPPC charge sound volume is now inversly proportional to its charge, significantly reducing its idle buzzing volume.
    Railgun isn't all elongated anymore, and no longer clips into your HUD when fired.
    Railgun skin has been recolored.
    Railgun is no longer treated as a super weapon.
    Shoulder cannon no longer fires automatically when not in use because it kept killing things before I could shoot them. :Þ
    Spontaneous Combutstion mutator combustion frequency has been reduced.
    Weapons now use ammo!  For now, weapons can't be thrown unless due to death, because it messes up your ammo for other weapons of that type.  Ballance pending.
    New weapons added:
	-Person Launcher
	-Fleischmacher
    New mutators added:
	-Full Arsenal
	-Pain Ammo
    m6A31T not removed due to Nemephosis' screaming at me when I considered dumping it. ;)

a8: The shoulder cannon now fires automatically when not in use.
    Shoulder cannon secondary has been replaced with a thermal vision mode.
    New weapons added:
	-Plasma Gun
	-Railgun Prototype
	-Assault Gun
    Who knows how much other junk I forgot to document as I changed it.

a7: Railgun trail looks better, lags less, and looks right for non-right-handed users.
    Dead people show up on the railgun's thermal scope.
    Railgun doesn't gib anymore.
    Ball/flag carriers are now identified on the thermal scope (see weapon description for identification explanation).
    Invasion monsters show up on the railgun thermal scope.  Includes support for my floaty drones included with WyRM.  Cow support pending.
    Raligun thermal scope interference has been toned down.
    Railgun thermal scope now has two zoom levels instead of smooth zooming, and slightly lower max magnification level.
    EGun secondary projectile light is properly colored now.
    The ERPPC doesn't suck anymore!
    New weapon added: Shotchaingun.
    Some other small stuff.

a6: Number of mines you can have out at once has been limited.
    Mines are neutralized when their owner dies.
    New mine neutralizer.
    Projectiles can blow up mines (used to be only instant hit weapons could).
    Railgun thermal scope heat detection is much better looking thanks to some vital information provided by Kangus.
    Team mates are now black and outlined in teal on the thermal scope.
    EGun now does 15 instead of 30 damage.
    EGun has a completely new secondary fire.
    EGun no longer actively seeks team mates.
    Nuker's been totally revamped (see description above for new cloaking instructions).
    Pain2K3 mutators are now in the format of "Pain2K3: Mutator Name" so they'll be easy to find in the mutator list.
    Noggin Goblins mutator added.
    Spontaneous Combustion mutator added.
    D12a primary accuracy decreases more slowly and is reset after a briefer pause.
    Bot desirability and default priority of weapons tweaked a bit.
    Railgun now treated as a super weapon (always has to respawn, longer respawn time).
    Nuker no longer treated as a super weapon.
    New weapons added:
        -Drugger
        -Shoulder Cannon
    First Pain2K3 powerups added:
        -psycho-kinetic powers
        -cybernetic legs
        -foot-mounted rockets
    A few other minor changes.

a5: First public release!



///////////////
Special Thanks!
///////////////

WoD Forums folks.  They rox0r!  Go pay them a visit!  NOW!!
Howard.  He's, uh...  Howard.
Acclaim for makin' the Turok games (currently 2 weapons inspired by Turok games, as well as the Rage Wars ammo system).
3DRealms, cuz Shadow Warrior's nifty.
Cheese.  Eat it.



////////////////////
Copyright-type Stuff
////////////////////

All Pain2K3 materials are property of Kevin "Smoke39" Kockler.  Please don't steal any of my stuff.  Oh yeah, and don't destribute this unless it includes this readme unaltered, and is free.  Some sounds I used include: the railgun fire sound from Quake 2 (modified for the railgun prototype), railgun prototype ambient sound from Shadow Warrior, m6A31T sounds from Counter-Strike, a custom Half-Life shotgun model, and Wasteland HL, several nuker sounds from Star Craft, shoulder cannon fire and explosion sounds from Aliens Versus Predator 2, and a modified teleportation sound from Star Trek: The Next Generation for weapon/ammo respawning.  The railgun prototype beam graphic was also taken from Shadow Warrior.





